from typing import Optional

from api_graphql.abc.filter_abc import FilterABC


class BoolFilter(FilterABC):
    def __init__(
        self,
        obj: Optional[dict],  # {'equal': value}
    ):
        FilterABC.__init__(self, obj)

        self.add_field("equal", bool)
        self.add_field("notEqual", bool)
        self.add_field("isNull", bool)
        self.add_field("isNotNull", bool)
